localhost ansible_connection=local

{% if gw_stat.stat.exists %}
{% for gw in ssh_gateways | default([]) %}
{% if loop.first %}
[jumphost]
{% endif %}
jumphost{% if loop.index < 10 %}0{% endif %}{{ loop.index }} ansible_host={{ gw.public_fqdn | default(gw.ansible_host) }} ansible_user={{ gw.ansible_user }}
{% endfor %}
{% endif %}

{% for role in roles %}
[{{ role }}]
{% for node in roles[role] %}
{% if (nodes|selectattr('name', 'eq', node)|first).node.vendor == 'azure' %}
{% if add_floating_ip %}
{{ node }}-{{ identifier }} ansible_host={{ public_ips[node] }} ansible_user={{ az_user_name }} ip={{ ips[node] }} public_ip={{ public_ips[node] }} private_ip={{ private_ips[node] }}
{% else %}
{{ node }}-{{ identifier }} ansible_host={{ private_ips[node] }} ansible_user={{ az_user_name }} ip={{ ips[node] }} private_ip={{ private_ips[node] }}
{% endif %}
{% endif %}
{% endfor %}
{% endfor %}

{% for group in (os_infra.roles_group | default([])) %}
[{{ group }}:children]
{% for role in os_infra.roles_group[group] %}
{% if role in roles or role in (os_infra.roles_group | default([])) %}
{{ role }}
{% endif %}
{% endfor %}
{% endfor %}
